<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ConfigurableFileCollection (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ConfigurableFileCollection (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/api/file/ConfigurableFileTree.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/ConfigurableFileCollection.html" target="_top">Frames</a></li>
<li><a href="ConfigurableFileCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface ConfigurableFileCollection" class="title">Interface ConfigurableFileCollection</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ConfigurableFileCollection</span>
extends <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></pre>
<div class="block"><p>A <code>ConfigurableFileCollection</code> is a mutable <code>FileCollection</code>.</p>

 <p>You can obtain an instance of <code>ConfigurableFileCollection</code> by calling <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#builtBy(java.lang.Object...)">builtBy</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Registers some tasks which build the files of this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#from(java.lang.Object...)">from</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block">Adds a set of source paths to this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#getBuiltBy()">getBuiltBy</a></strong>()</code>
<div class="block">Returns the set of tasks which build the files of this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#getFrom()">getFrom</a></strong>()</code>
<div class="block">Returns the set of source paths for this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#setBuiltBy(java.lang.Iterable)">setBuiltBy</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;tasks)</code>
<div class="block">Sets the tasks which build the files of this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#setFrom(java.lang.Iterable)">setFrom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;paths)</code>
<div class="block">Sets the source paths for this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html#setFrom(java.lang.Object...)">setFrom</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block">Sets the source paths for this collection.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.html#add(org.gradle.api.file.FileCollection)">add</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String,%20org.gradle.api.file.FileCollection.AntType)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#asType(java.lang.Class)">asType</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#contains(java.io.File)">contains</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(groovy.lang.Closure)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(org.gradle.api.specs.Spec)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getAsFileTree()">getAsFileTree</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getAsPath()">getAsPath</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getFiles()">getFiles</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getSingleFile()">getSingleFile</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#isEmpty()">isEmpty</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#minus(org.gradle.api.file.FileCollection)">minus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#plus(org.gradle.api.file.FileCollection)">plus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#stopExecutionIfEmpty()">stopExecutionIfEmpty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFrom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrom</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getFrom()</pre>
<div class="block">Returns the set of source paths for this collection. The paths are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The set of source paths. Returns an empty set if none.</dd></dl>
</li>
</ul>
<a name="setFrom(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFrom</h4>
<pre>void&nbsp;setFrom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;paths)</pre>
<div class="block">Sets the source paths for this collection. The given paths are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The paths.</dd></dl>
</li>
</ul>
<a name="setFrom(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFrom</h4>
<pre>void&nbsp;setFrom(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block">Sets the source paths for this collection. The given paths are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The paths.</dd></dl>
</li>
</ul>
<a name="from(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>from</h4>
<pre><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a>&nbsp;from(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block">Adds a set of source paths to this collection. The given paths are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The files to add.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getBuiltBy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuiltBy</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getBuiltBy()</pre>
<div class="block">Returns the set of tasks which build the files of this collection.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The set. Returns an empty set when there are no such tasks.</dd></dl>
</li>
</ul>
<a name="setBuiltBy(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuiltBy</h4>
<pre><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a>&nbsp;setBuiltBy(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;tasks)</pre>
<div class="block">Sets the tasks which build the files of this collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tasks</code> - The tasks. These are evaluated as per <a href="../../../../org/gradle/api/Task.html#dependsOn(java.lang.Object...)"><code>Task.dependsOn(Object...)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="builtBy(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>builtBy</h4>
<pre><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a>&nbsp;builtBy(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Registers some tasks which build the files of this collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>tasks</code> - The tasks. These are evaluated as per <a href="../../../../org/gradle/api/Task.html#dependsOn(java.lang.Object...)"><code>Task.dependsOn(Object...)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/api/file/ConfigurableFileTree.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/ConfigurableFileCollection.html" target="_top">Frames</a></li>
<li><a href="ConfigurableFileCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
